%define upstream_name	 Devel-Size
%define upstream_version 0.84

%?perl_default_filter

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Find the memory usage of Perl variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
This module figures out the real sizes of Perl variables in bytes. Call
functions with a reference to the variable you want the size of. If the
variable is a plain scalar it returns the size of the scalar. If the variable
is a hash or an array, use a reference when calling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc CHANGES CONTRIBUTING META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Devel/*
%{perl_vendorarch}/auto/Devel/*
%{_mandir}/*/*

%changelog
* Sun Apr 28 2024 tv <tv> 0.840.0-1.mga10
+ Revision: 2061439
- update to 0.84

* Thu Nov 30 2023 tv <tv> 0.830.0-9.mga10
+ Revision: 2011855
- Rebuild for perl-5.38

* Wed Nov 29 2023 tv <tv> 0.830.0-8.mga10
+ Revision: 2011148
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.830.0-7.mga9
+ Revision: 1861785
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.830.0-6.mga9
+ Revision: 1795674
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.830.0-5.mga9
+ Revision: 1726556
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.830.0-4.mga8
+ Revision: 1594545
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.830.0-3.mga8
+ Revision: 1529447
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.830.0-2.mga8
+ Revision: 1433530
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 0.830.0-1.mga8
+ Revision: 1415506
- update to 0.83

* Fri Sep 21 2018 umeabot <umeabot> 0.820.0-4.mga7
+ Revision: 1292811
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.820.0-3.mga7
+ Revision: 1249122
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 0.820.0-2.mga7
+ Revision: 1249047
- Rebuild for perl 5.28

* Wed Jul 04 2018 shlomif <shlomif> 0.820.0-1.mga7
+ Revision: 1241596
- update to 0.82

* Mon Oct 02 2017 tv <tv> 0.810.0-2.mga7
+ Revision: 1164067
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.810.0-1.mga7
+ Revision: 1159613
- update to 0.81

* Thu Aug 31 2017 pterjan <pterjan> 0.800.0-5.mga7
+ Revision: 1148941
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.800.0-4.mga7
+ Revision: 1127318
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-3.mga6
+ Revision: 1025609
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.800.0-2.mga6
+ Revision: 957177
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.800.0-1.mga6
+ Revision: 843829
- update to 0.80

* Wed Oct 15 2014 umeabot <umeabot> 0.790.0-8.mga5
+ Revision: 738889
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.790.0-7.mga5
+ Revision: 731874
- add upstream patches: fix build
- use %%perl_default_filter
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.790.0-2.mga4
+ Revision: 524926
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.790.0-1.mga4
+ Revision: 431625
- update to 0.79
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.780.0-2.mga3
+ Revision: 365800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.780.0-1.mga3
+ Revision: 286071
- update to 0.78

* Wed May 30 2012 jquelin <jquelin> 0.770.0-2.mga3
+ Revision: 250540
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 0.770.0-1.mga2
+ Revision: 106820
- update to 0.77

* Sat Jun 11 2011 sander85 <sander85> 0.730.0-2.mga2
+ Revision: 104194
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 88681
- update to 0.73

* Fri Jan 21 2011 jquelin <jquelin> 0.710.0-2.mga1
+ Revision: 30143
- mageia rebuild
- imported package perl-Devel-Size

